## sphinxcontrib-doxylink 1.5

=== requirements.txt ===
Sphinx>=0.6
pyparsing

## sphinxcontrib-doxylink 1.3

=== debian/changelog ===
sphinxcontrib-doxylink (1.3-2) unstable; urgency=medium

  * Add patch fixing FTBFS with recent versions of pyparsing.
    Thanks to Paul McGuire for the patch (Closes: #841582)
  * Upgrade packaging to debhelper 10.
  * Simplify the packaging testsuite.
  * Drop superfluous Testsuite field.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 22 Nov 2016 19:33:50 +0000

sphinxcontrib-doxylink (1.3-1) unstable; urgency=low

  * Initial release. (Closes: #823581)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 06 May 2016 10:43:10 +0100

=== debian/control ===
Source: sphinxcontrib-doxylink
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-pyparsing,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pyparsing,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinxcontrib-doxylink.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinxcontrib-doxylink.git
Homepage: http://pythonhosted.org/sphinxcontrib-doxylink/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-sphinxcontrib.doxylink
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Sphinx extension for linking to Doxygen documentation (Python 2)
 Doxylink is a Sphinx extension to link to external Doxygen API documentation.
 .
 It allows you to specify C++ symbols and it will convert them into links to
 the HTML page of their Doxygen documentation.
 .
 This package provides sphinxcontrib.doxylink for the Python 2 interpreter.

Package: python3-sphinxcontrib.doxylink
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Sphinx extension for linking to Doxygen documentation (Python 3)
 Doxylink is a Sphinx extension to link to external Doxygen API documentation.
 .
 It allows you to specify C++ symbols and it will convert them into links to
 the HTML page of their Doxygen documentation.
 .
 This package provides sphinxcontrib.doxylink for the Python 3 interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sphinxcontrib.doxylink

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cp -a ./tests $AUTOPKGTEST_TMP
 ; cd $AUTOPKGTEST_TMP
 ; python -m unittest discover
Depends: python-sphinxcontrib.doxylink
Restrictions: allow-stderr

Test-Command: cp -a ./tests $AUTOPKGTEST_TMP
 ; cd $AUTOPKGTEST_TMP
 ; python3 -m unittest discover
Depends: python3-sphinxcontrib.doxylink
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/sphinxcontrib-doxylink/sphinxcontrib-doxylink-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinxcontrib-doxylink 1.5

=== debian/changelog ===
sphinxcontrib-doxylink (1.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 20:50:18 -0400

sphinxcontrib-doxylink (1.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ghislain Antony Vaillant ]
  * d/gbp.conf: Sign all tags
  * d/gbp.conf: Drop pq section
  * Source future releases from GitHub
  * New upstream version 1.5
  * Drop the patch queue, fixed upstream
  * Drop the packaging for Python 2, dropped upstream
  * Add new build dependency on doxygen and pytest
  * Add pybuild setup for running the tests
  * Run autopkgtests for all supported Python versions
  * Point the Homepage URI to the GitHub repository
  * Update the copyright years
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Normalize the package descriptions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 13 Feb 2018 09:34:57 +0000

=== debian/control ===
Source: sphinxcontrib-doxylink
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               doxygen,
               python3-all,
               python3-pyparsing,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-doxylink
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-doxylink.git
Homepage: https://github.com/sphinx-contrib/doxylink

Package: python3-sphinxcontrib.doxylink
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Sphinx extension for linking to Doxygen documentation (Python 3)
 Doxylink is a Sphinx extension to link to external Doxygen API documentation.
 .
 It allows you to specify C++ symbols and it will convert them into links to
 the HTML page of their Doxygen documentation.
 .
 This package provides the modules for Python 3.

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r examples tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: doxygen,
         python3-all,
         python3-sphinxcontrib.doxylink,
         python3-pytest

## sphinxcontrib-doxylink 1.13.0

=== debian/changelog ===
sphinxcontrib-doxylink (1.13.0-2) unstable; urgency=medium

  * Source only upload 

 -- Christian Bayle <bayle@debian.org>  Wed, 19 Mar 2025 19:31:06 +0100

sphinxcontrib-doxylink (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Add new depedancies, Bump to std 4.7.0, add me uploader
  * Update copyright file
  * Update test dependancies, add pytest and testfixtures

 -- Christian Bayle <bayle@debian.org>  Wed, 19 Mar 2025 19:30:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: sphinxcontrib-doxylink
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
+           Christian Bayle <bayle@debian.org>
+Rules-Requires-Root: no
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 11),
@@ -10,8 +12,12 @@
                python3-pyparsing,
                python3-pytest,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.1.3
+               python3-sphinx,
+               pybuild-plugin-pyproject,
+               python3-poetry-core,
+               python3-dateutil,
+               python3-testfixtures,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-doxylink
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-doxylink.git
 Homepage: https://github.com/sphinx-contrib/doxylink

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sphinxcontrib.doxylink

export PYBUILD_BEFORE_TEST=cp -r examples tests {build_dir}
export PYBUILD_AFTER_TEST=cd {build_dir}; rm -rf examples tests

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,5 @@
 Depends: doxygen,
          python3-all,
          python3-sphinxcontrib.doxylink,
-         python3-pytest
+         python3-pytest,
+         python3-testfixtures,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/doxylink-$1\.tar\.gz/ \
https://github.com/sphinx-contrib/doxylink/tags .*/v?@ANY_VERSION@\.tar\.gz
